VFS mkdir
curl --request POST \
--url http://127.0.0.1:8765/v1/workspaces/{workspace_id}/vfs/mkdir \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"path": "<string>"
}
'import requests
url = "http://127.0.0.1:8765/v1/workspaces/{workspace_id}/vfs/mkdir"
payload = { "path": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({path: '<string>'})
};
fetch('http://127.0.0.1:8765/v1/workspaces/{workspace_id}/vfs/mkdir', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_PORT => "8765",
CURLOPT_URL => "http://127.0.0.1:8765/v1/workspaces/{workspace_id}/vfs/mkdir",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'path' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "http://127.0.0.1:8765/v1/workspaces/{workspace_id}/vfs/mkdir"
payload := strings.NewReader("{\n \"path\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("http://127.0.0.1:8765/v1/workspaces/{workspace_id}/vfs/mkdir")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"path\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("http://127.0.0.1:8765/v1/workspaces/{workspace_id}/vfs/mkdir")
http = Net::HTTP.new(url.host, url.port)
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"path\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"outcome": "ALLOW",
"type": "<string>",
"reason": "<string>",
"source": "<string>",
"answers": [
{}
],
"refusal": {},
"call": "<string>",
"paths": [
"<string>"
],
"error": "<string>"
}{
"detail": "<unknown>",
"errno": "<string>",
"refusal": {}
}{
"detail": "<unknown>",
"errno": "<string>",
"refusal": {}
}{
"detail": "<unknown>",
"errno": "<string>",
"refusal": {}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}{
"detail": "<unknown>",
"errno": "<string>",
"refusal": {}
}VFS
VFS mkdir
Make a directory.
VFS mkdir
curl --request POST \
--url http://127.0.0.1:8765/v1/workspaces/{workspace_id}/vfs/mkdir \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"path": "<string>"
}
'import requests
url = "http://127.0.0.1:8765/v1/workspaces/{workspace_id}/vfs/mkdir"
payload = { "path": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({path: '<string>'})
};
fetch('http://127.0.0.1:8765/v1/workspaces/{workspace_id}/vfs/mkdir', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_PORT => "8765",
CURLOPT_URL => "http://127.0.0.1:8765/v1/workspaces/{workspace_id}/vfs/mkdir",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'path' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "http://127.0.0.1:8765/v1/workspaces/{workspace_id}/vfs/mkdir"
payload := strings.NewReader("{\n \"path\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("http://127.0.0.1:8765/v1/workspaces/{workspace_id}/vfs/mkdir")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"path\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("http://127.0.0.1:8765/v1/workspaces/{workspace_id}/vfs/mkdir")
http = Net::HTTP.new(url.host, url.port)
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"path\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"outcome": "ALLOW",
"type": "<string>",
"reason": "<string>",
"source": "<string>",
"answers": [
{}
],
"refusal": {},
"call": "<string>",
"paths": [
"<string>"
],
"error": "<string>"
}{
"detail": "<unknown>",
"errno": "<string>",
"refusal": {}
}{
"detail": "<unknown>",
"errno": "<string>",
"refusal": {}
}{
"detail": "<unknown>",
"errno": "<string>",
"refusal": {}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}{
"detail": "<unknown>",
"errno": "<string>",
"refusal": {}
}Authorizations
The server's token (MIRAGE_AUTH_TOKEN) or a JWT. A daemon in the default local mode with no token accepts requests without one.
Path Parameters
The workspace's id.
Query Parameters
The session the call acts as; the default session when absent.
Return what the call would do without running it.
Body
application/json
Response
What the call returns; with explain=true, its explanation
What a call would do, without doing it (explain=true).
Available options:
ALLOW, DENY, ASK line, command or vfs.
Why, in the deciding policy's words.
Where in the profile the deciding rule is written.
Every policy's answer.
The errno name the call would raise, empty when it runs.